> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List contact memory entries

> List memory entries (no content) for a contact session.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /sessions/{sessionId}/memory
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /sessions/{sessionId}/memory:
    get:
      tags:
        - ContactMemory
      summary: List contact memory entries
      description: List memory entries (no content) for a contact session.
      operationId: ListEntries
      parameters:
        - in: path
          name: sessionId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ContactMemoryListItem'
                type: array
      security:
        - jwt: []
components:
  schemas:
    ContactMemoryListItem:
      properties:
        name:
          type: string
        description:
          type: string
        actor:
          $ref: '#/components/schemas/ContactMemoryActor'
        actorUserId:
          type: string
        updatedAt:
          type: string
          format: date-time
      required:
        - name
        - description
        - actor
        - updatedAt
      type: object
      additionalProperties: false
    ContactMemoryActor:
      type: string
      enum:
        - bot
        - draft_reply
        - copilot
        - admin
        - consolidation
        - unknown
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````